package com.gic.spark.filter;

import com.gic.spark.entity.request.FilterRequest;
import com.gic.spark.tag.TagConstant;
import org.apache.commons.lang3.StringUtils;
import org.apache.spark.api.java.JavaRDD;
import org.apache.spark.sql.Column;
import org.apache.spark.sql.Dataset;
import org.apache.spark.sql.Row;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/27
 */
public abstract class AbstractTagFilter implements BaseTagFilter{

    protected static boolean cuHandle(FilterRequest request, int cuType){
            boolean result=false;
                switch (request.getDomainType()){
                    case ACU_INFO:
                            result=TagConstant.CU_TYPE_ACU==cuType;
                        break;
                    case SCU_INFO:
                            result=TagConstant.CU_TYPE_SCU==cuType;
                        break;
                    case MCU_INFO:
                            result=TagConstant.CU_TYPE_MCU==cuType;
                        break;
                    default:break;
                }
            return result;
    }
}
