package com.gic.spark.filter;

import com.gic.spark.datasource.entity.DataSourceEntity;
import com.gic.spark.datasource.entity.DataSourceSharding;
import com.gic.spark.entity.request.FilterRequest;
import com.gic.spark.util.AppEnvUtil;
import com.gic.spark.util.ConstantUtil;
import org.apache.spark.api.java.JavaRDD;

import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/24
 */
public class TagAboutExpireIntegralFilter implements BaseTagFilter{

    private DataSourceSharding dataSourceSharding=new DataSourceSharding(AppEnvUtil.MEMBER_SHARDING_4, ConstantUtil.TAB_INTEGRAL_CU_CHANGE_LOG);
    private static TagAboutExpireIntegralFilter instance;

    public static TagAboutExpireIntegralFilter getInstance() {
        if(null==instance){
            instance=new TagAboutExpireIntegralFilter();
        }
        return instance;
    }

    private TagAboutExpireIntegralFilter(){}
    @Override
    public List<DataSourceEntity> necessarySourceList() {
        List<DataSourceEntity> result = new ArrayList();
        result.add(dataSourceSharding);
        return result;
    }

    @Override
    public JavaRDD<Integer> filterValidMember(Integer enterpriseId, FilterRequest filterOption) {


        return null;
    }
}
