package com.gic.spark.entity.request;

import com.gic.spark.entity.enumtype.CouponType;
import com.gic.spark.entity.enumtype.NumberType;

import java.util.List;

/**
 * @description:
 * 卡卷类
 * @author: wangxk
 * @date: 2020/4/21
 */
public class CouponRequest extends FilterRequest{

    /**
     * 最小数字
     */
    private Integer beginNum;
    /**
     * 最大数字
     */
    private Integer endNum;

    /**
     * 相等数字
     */
    private Integer equalNum;

    private NumberType numberType;

    private List<Integer>couponList;

    private CouponType couponType;

    public Integer getBeginNum() {
        return beginNum;
    }

    public void setBeginNum(Integer beginNum) {
        this.beginNum = beginNum;
    }

    public Integer getEndNum() {
        return endNum;
    }

    public void setEndNum(Integer endNum) {
        this.endNum = endNum;
    }

    public Integer getEqualNum() {
        return equalNum;
    }

    public void setEqualNum(Integer equalNum) {
        this.equalNum = equalNum;
    }

    public NumberType getNumberType() {
        return numberType;
    }

    public void setNumberType(NumberType numberType) {
        this.numberType = numberType;
    }

    public List<Integer> getCouponList() {
        return couponList;
    }

    public void setCouponList(List<Integer> couponList) {
        this.couponList = couponList;
    }

    public CouponType getCouponType() {
        return couponType;
    }

    public void setCouponType(CouponType couponType) {
        this.couponType = couponType;
    }
}
